Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000017Zandronum[All Projects] Suggestionpublic2010-09-12 02:272014-06-11 21:51
ReporterAnonymous 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000017: Allow server to mute people
DescriptionIs this an improvement to an already-existing feature, or a new feature entirely?
New

If an improvement, what original feature is it improving upon?
N/A

How would this work?
It gives an administrator of a server the ability to mute people, I'll explain this a bit more in the bottom.

Can you give an example in how useful this feature would be?
Lets say there are spammers in a server. They need a punishment, lets not just kick them, but mute them as well! So, the server has a timer for banned IP's, why not make a timer for people who are muted? We'll let them play in the server, but their ability to communicate with others is forbidden.

If hes a known spammer, I'd rather just permanently mute them, instead of the BanHammer.

I mean hey, if you can mute yourself, why not let the server mute?

Don't bring up ignore, because if its a well known spammer, then the next day he's gonna be back.

Also, this well prevent players from abusing the space button on their messages, via :
"Player: Hi
<Server>: hey im onnnn"
That'd prevent them from spamming space to make a new line to act like others.
Steps To ReproduceN/A
Additional InformationIts a bigger punishment to let them play, but not talk with others.
Attached Files

- Relationships

-  Notes
User avatar (0000033)
Eruanna (reporter)
2010-09-12 13:31

Please note this is just an opinion, not a developer decision on this:

If a person was that much of a problem I find it better to just ban them anyway. I don't really see much good that muting does to them. And plus when they're muted they cannot properly collaborate with team members in team games or coop anyway. Mute, in my opinion, is only good for short term punishments. I think it's fine the way it is.
User avatar (0000042)
Torr Samaho (administrator)
2010-09-12 19:44

I agree with Eruanna. If you really need to permanently mute somebody, that somebody should probably banned.
User avatar (0000064)
Akasha (reporter)
2010-09-16 18:21

Shouldn't there be a cmd or setup to disable chat in servers?
User avatar (0004514)
ZzZombo (reporter)
2012-08-30 05:01

ignore and ignore_idx already can mute people on the whole server if used from the server console or RCON'd.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2010-09-12 02:27 Anonymous New Issue
2010-09-12 13:31 Eruanna Note Added: 0000033
2010-09-12 19:44 Torr Samaho Note Added: 0000042
2010-09-16 16:22 Anonymous Note Added: 0000063
2010-09-16 18:21 Akasha Note Added: 0000064
2010-09-16 20:46 Anonymous Note Added: 0000065
2010-09-21 14:35 Anonymous Note Deleted: 0000063
2010-09-21 14:35 Anonymous Note Deleted: 0000065
2012-08-30 05:01 ZzZombo Note Added: 0004514
2014-06-11 21:51 Watermelon Status new => closed
2014-06-11 21:51 Watermelon Resolution open => fixed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker